# W Pythonie nie tylko wartości True i False typu bool nisą w sobie wartość logiczną,
# ale także wartości innych typów. Mogą one być umieszczone w if (albo while),
# mogą być umieszczanie w spójnikach logicznych and i or.


liczba0 = 0
liczba1 = 1
liczba2 = -3.14

napis0 = ''
napis1 = 'Ala ma kota'
napis2 = '    '

lista0 = []
lista1 = ['Adam', 'Ludwik', 'Xawery']

if liczba0: print('liczba0 true')
else: print('liczba0 false')

if napis0: print('napis0 true')
else: print('napis0 false')

if napis2: print('napis2 true')
else: print('napis2 false')

print()

# Gdy używamy spójników logicznych and or , to wynikiem jest jeden z przekazanych argumentów (a niekoniczenie wartość True / False)
# and: jeśli jedna z wartości jest fałszywa, to and zwraca pierwszą z takich wartości
#      jeśli wszystkie są prawdą, to and zwraca ostatnią rzecz po prawej stronie
print('and:', lista1 and liczba0 and liczba1 and liczba2)
print('and:', lista1 and napis1 and liczba1 and liczba2)

# or: jeśli jedna z wartości jest prawdą, to or zwraca pierwszą z takich wartości
#     jeśli wszystkie są fałśzem, to or zwraca ostatnią rzecz po prawej stronie
print('or:', liczba0 or liczba1 or liczba2)
print('or:', liczba0 or napis0 or liczba2)
print('or:', liczba0 or napis0 or lista0)

